## aisleriot 3.2.0

=== debian/changelog ===
aisleriot (1:3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release.
    - Distribute a copy of the LGPL
    - Update card theme install info for Debian, Ubuntu & OpenSUSE
    - Build help with yelp-tools instead of gnome-doc-utils
    - Fix game restart
    - Translation updates
  * debian/control: Build-depends on yelp-tools
  * debian/copyright: Fixed a few lintian warnings
  * 03_update_theme_install_data.patch: Dropped, applied upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Sep 2011 12:54:22 -0400

aisleriot (1:3.1.1-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #813428)
    - Aisleriot is no longer shipped as part of gnome-games
    - Re-enabled "Aunt Mary", a frustratingly difficult Klondike variation
      (LP: #478558)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2011 17:54:28 -0400

## aisleriot 3.2.1

=== debian/changelog ===
aisleriot (1:3.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream bugfix & translations release.
    - Fix modality when Statistics & Congratulations dialogs are both
      open (LP: #808291) 
  * debian/click.ogg
  * debian/splat.ogg
  * debian/aisleriot.install
    - Add missing sound effects (LP: #876365)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2011 14:56:50 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --bindir=\$${prefix}/games \
                --bindir=\$${prefix}/games \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--disable-scrollkeeper

DEB_DH_FIXPERMS_ARGS_ALL := -X/usr/games/sol
DEB_DH_MAKESHLIBS_ARGS_aisleriot := --no-act
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs -Wl,-O1 -Wl,--as-needed"

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/aisleriot/([\d\.]+)/aisleriot-(.*)\.tar\.bz2

## aisleriot 3.22.22

=== meson_options.txt ===
# Copyright © 2019 Christian Persch
#
# This programme is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This programme is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this programme.  If not, see <https://www.gnu.org/licenses/>.

option(
  'binreloc',
  type: 'boolean',
  value: false,
  description: 'Binary relocation',
)

option(
  'dbg',
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'dbgui',
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality UI',
)

option(
  'default_theme_format',
  type: 'combo',
  choices: ['fixed', 'kde', 'pysol', 'svg-rsvg', 'svg-qtsvg',],
  value: 'svg-rsvg',
  description: 'The default card theme format',
)

option(
  'default_theme',
  type: 'string',
  value: 'gnomangelo_bitmap.svgz',
  description: 'The default card theme',
)

option(
  'docs',
  type: 'boolean',
  value: true,
  description: 'Enable documentation',
)

option(
  'gconf',
  type: 'boolean',
  value: false,
  description: 'Enable GConf support',
)

option(
  'guile',
  type: 'combo',
  choices: ['3.0', '2.2', '2.0', 'auto',],
  value: 'auto',
  description: 'Which guile version to use',
)

option(
  'help_format',
  type: 'combo',
  choices: ['html', 'xhtml',],
  value: 'html',
  description: 'Which help format to use for file method',
)

option(
  'help_method',
  type: 'combo',
  choices: ['ghelp', 'file', 'library',],
  value: 'ghelp', # FIXME: this may need to be different per platform
  description: 'Which help method to use',
)

option(
  'sound',
  type: 'boolean',
  value: true,
  description: 'Enable sound support',
)

option(
  'theme_fixed',
  type: 'boolean',
  value: true,
  description: 'Enable support for prerendered card themes',
)

option(
  'theme_kde',
  type: 'boolean',
  value: true,
  description: 'Enable support for KDE card themes',
)

option(
  'theme_kde_path',
  type: 'string',
  value: '',
  description: 'Base path to KDE card themes',
)

option(
  'theme_pysol',
  type: 'boolean',
  value: false,
  description: 'Enable support for PySolFC card themes',
)

option(
  'theme_pysol_path',
  type: 'string',
  value: '',
  description: 'Base path to PySolFC card themes',
)

option(
  'theme_svg_qtsvg',
  type: 'boolean',
  value: false,
  description: 'Enable support for SVG card themes (using QtSvg)',
)

option(
  'theme_svg_rsvg',
  type: 'boolean',
  value: true,
  description: 'Enable support for SVG card themes (using Rsvg)',
)

## aisleriot 3.2.3.2

=== debian/changelog ===
aisleriot (1:3.2.3.2-0ubuntu1) precise-proposed; urgency=low

  * New upstream bugfix and translation update release.
    - Fix blurry freecell icon
    - Fix freecell with guile 2.0
    - Fix potential format string crash
  * debian/patches/03_format-security.patch: Dropped, applied upstream
  * debian/watch: Watch for .xz tarball releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Apr 2012 15:31:15 -0400

aisleriot (1:3.2.2-0ubuntu2) precise; urgency=low

  * Add 00git_automake_build_fix.patch: Fix building with automake 1.11.
    Patch backported from 3.3 series.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Apr 2012 09:44:21 +0200

aisleriot (1:3.2.2-0ubuntu1) precise; urgency=low

  [ Felix Geyer ]
  * Fix FTBFS with -Werror=format-security. (LP: #890889)
    - Add 03_format-security.patch.

  [ Jeremy Bicha ]
  * New upstream release
    - Fix missing sound effects

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Nov 2011 21:50:30 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: aisleriot
Section: games
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs,
               debhelper (>= 5),
               gnome-pkg-tools (>= 0.6),
               dh-autoreconf,
               gnome-common,
               lsb-release,
               yelp-tools,
               guile-1.8-dev,
               intltool (>= 0.35.0),
               libcairo2-dev (>= 1.10),
               libcanberra-gtk3-dev (>= 0.26),
               gobject-introspection (>= 0.6.3),
               libgirepository1.0-dev (>= 0.6.3),
               libgconf2-dev,
               libglib2.0-dev (>= 2.26.0),
               libgtk-3-dev (>= 3.0.0),
               libgstreamer0.10-dev (>= 0.10.11),
               librsvg2-dev (>= 2.32.0),
               libsm-dev,
               pkg-config (>= 0.15),
               liblaunchpad-integration-3.0-dev (>= 0.1.51)
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/aisleriot/ubuntu
Standards-Version: 3.9.2
Homepage: https://live.gnome.org/Aisleriot

Package: aisleriot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnome-cards-data
Conflicts: gnome-games (<< 1:3.1.0), gnome-games-data (<< 1:3.1.0)
Replaces: gnome-games (<< 1:3.1.0), gnome-games-data (<< 1:3.1.0)
Description: Solitaire card games
 A compilation of over eighty different solitaire card games. Everything from
 favorites like Freecell and Klondike through to the hopelessly pointless Clock
 Patience.

Package: gnome-cards-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: gnome-games-data (<< 1:3.1.0),
           gnome-games (<< 1:3.1.0),
           gnome-hearts (<< 0.1.3-4)
Replaces: gnome-games-extra-data (<< 3.0)
Description: data files for the GNOME card games
 This package contains pictures of card decks used by the card-based 
 GNOME games. Different themes are provided.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/aisleriot/([\d\.]+)/aisleriot-(.*)\.tar\.xz

## aisleriot 3.4.1

=== debian/changelog ===
aisleriot (1:3.4.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: (Build)-depend on guile-2.0
  * debian/*.install: Cards files are now stored as zipped .svg's
  * debian/patches/99_format-security.patch: Dropped, applied upstream

  [ Jordi Mallach ]
  * New upstream release.
  * Update copyright to final version of the machine-readable 1.0 spec.
  * Bump Standards Version to 3.9.3.

 -- Jordi Mallach <jordi@debian.org>  Sun, 22 Apr 2012 12:49:26 +0200

aisleriot (1:3.2.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Initial release (LP: #813428)
    - Aisleriot is no longer shipped as part of gnome-games
    - Re-enabled "Aunt Mary", a frustratingly difficult Klondike variation
      (LP: #478558)
  * debian/control: Build-depends on yelp-tools
  * debian/copyright: Fixed a few lintian warnings

  [ Felix Geyer ]
  * Fix FTBFS with -Werror=format-security. (LP: #890889)
    - Add 03_format-security.patch.

  [ Jordi Mallach ]
  * Sync from Ubuntu.
  * Watch for .xz tarballs.
  * Bump to debhelper 8.
  * Strip debian/tmp prefix from install paths.
  * Don't autoreconf, we don't need it.
  * Remove Conflicts/Replaces on self-package.
  * Replace versioned Conflicts with Breaks.
  * Drop obsolete 03_format-security.patch in favour of upstream fix.
  * Use versioned copyright Format URL.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Nov 2011 13:07:11 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: aisleriot
Section: games
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.6),
               lsb-release,
               yelp-tools,
               guile-2.0-dev,
               intltool (>= 0.35.0),
               libcairo2-dev (>= 1.10),
               libcanberra-gtk3-dev (>= 0.26),
               gobject-introspection (>= 0.6.3),
               libgirepository1.0-dev (>= 0.6.3),
               libgconf2-dev,
               libglib2.0-dev (>= 2.26.0),
               libgtk-3-dev (>= 3.0.0),
               libgstreamer0.10-dev (>= 0.10.11),
               librsvg2-dev (>= 2.32.0),
               libsm-dev,
               pkg-config (>= 0.15)
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/aisleriot
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/aisleriot/
Homepage: https://live.gnome.org/Aisleriot

Package: aisleriot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnome-cards-data
Breaks: gnome-games (<< 1:3.1.0), gnome-games-data (<< 1:3.1.0)
Replaces: gnome-games (<< 1:3.1.0), gnome-games-data (<< 1:3.1.0)
Description: GNOME solitaire card game collection
 This is a collection of over eighty different solitaire card games, including
 popular variants such as spider, freecell, klondike, thirteen (pyramid),
 yukon, canfield and many more.

Package: gnome-cards-data
Architecture: all
Depends: ${misc:Depends}
Breaks: gnome-games-data (<< 1:3.1.0),
        gnome-games (<< 1:3.1.0),
        gnome-games-extra-data (<< 3.0),
        gnome-hearts (<< 0.1.3-4)
Replaces: gnome-games-extra-data (<< 3.0)
Description: data files for the GNOME card games
 This package contains pictures of card decks used by the card-based 
 GNOME games. Different themes are provided.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/aisleriot/([\d\.]+)[02468]/aisleriot-(.*)\.tar\.xz

## aisleriot 3.4.1+really3.2.3.2

=== debian/changelog ===
aisleriot (1:3.4.1+really3.2.3.2-0ubuntu3) raring; urgency=low

  * Build using guile-2.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2013 10:28:22 +0100

aisleriot (1:3.4.1+really3.2.3.2-0ubuntu2) raring; urgency=low

  * Remove obsolete libgstreamer BD — aisleriot no longer talks to gstreamer
    directly, but rather uses libcanberra.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 13 Nov 2012 12:43:23 +0000

aisleriot (1:3.4.1+really3.2.3.2-0ubuntu1) quantal; urgency=low

  * Reupload as 3.2 because it only requires guile-1.8.  guile-2.0 isn't
    going into main any time soon.
  * debian/control.in: Downgrade Build-Depend to guile-1.8-dev
  * debian/*.install: Use .svg not .svgz

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Jul 2012 13:28:25 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: aisleriot
 Section: games
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
@@ -22,7 +22,6 @@
                libgconf2-dev,
                libglib2.0-dev (>= 2.26.0),
                libgtk-3-dev (>= 3.0.0),
-               libgstreamer0.10-dev (>= 0.10.11),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --bindir=\$${prefix}/games \
                 --bindir=\$${prefix}/games \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-		--disable-scrollkeeper
+		--disable-scrollkeeper \
+		--with-guile=2.0
 
 DEB_DH_FIXPERMS_ARGS_ALL := -X/usr/games/sol
 DEB_DH_MAKESHLIBS_ARGS_aisleriot := --no-act

## aisleriot 3.6.2

=== debian/changelog ===
aisleriot (1:3.6.2-0ubuntu1) raring; urgency=low

  [ Jeremy Bicha ]
  * Revert back to 1:3.4.1-1 packaging since guile-2.0 is in main now
    - Remaining change:
      + debian/control.in: Remove obsolete libgstreamer build-depends 
  * New upstream release (LP: #1026854)

  [ Robert Ancell ]
  * debian/aisleriot.install:
  * debian/aisleriot.menu:
  * debian/patches/02_desktop-path.patch:
  * debian/pixmaps/freecell.xpm:
    - Updated as freecell.desktop is removed

  [ Rico Tzschichholz ]
  * debian/control.in: Bump Build-Deps on libgtk-3-dev (>= 3.4.0),
    libglib2.0-dev (>= 2.32.0)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Apr 2013 11:32:43 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.6),
@@ -20,8 +20,8 @@
                gobject-introspection (>= 0.6.3),
                libgirepository1.0-dev (>= 0.6.3),
                libgconf2-dev,
-               libglib2.0-dev (>= 2.26.0),
-               libgtk-3-dev (>= 3.0.0),
+               libglib2.0-dev (>= 2.32.0),
+               libgtk-3-dev (>= 3.4.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)

## aisleriot 3.8.0

=== debian/changelog ===
aisleriot (1:3.8.0-2) unstable; urgency=low

  * debian/control.in:
    + Bump libgtk-3-dev build dependency to 3.6, needed for
      gtk_application_get_active_window().

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 27 May 2013 21:27:01 +0200

aisleriot (1:3.8.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Build-depend on desktop-file-utils
    - Recommend yelp
    - Remove obsolete libgstreamer build-depends 

  [ Robert Ancell ]
  * debian/aisleriot.install:
  * debian/aisleriot.menu:
  * debian/patches/02_desktop-path.patch:
  * debian/pixmaps/freecell.xpm:
    - Updated as freecell.desktop is removed

  [ Rico Tzschichholz ]
  * debian/control.in: Bump Build-Deps on libgtk-3-dev (>= 3.4.0),
    libglib2.0-dev (>= 2.32.0)

  [ Emilio Pozuelo Monfort ]
  * debian/watch:
    + Fixed, it wasn't tracking new versions.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 19:56:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: aisleriot
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
+               desktop-file-utils,
                gnome-pkg-tools (>= 0.6),
                lsb-release,
                yelp-tools,
@@ -21,7 +22,7 @@
                libgirepository1.0-dev (>= 0.6.3),
                libgconf2-dev,
                libglib2.0-dev (>= 2.32.0),
-               libgtk-3-dev (>= 3.4.0),
+               libgtk-3-dev (>= 3.6.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
@@ -33,6 +34,7 @@
 Package: aisleriot
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: yelp
 Suggests: gnome-cards-data
 Breaks: gnome-games (<< 1:3.1.0), gnome-games-data (<< 1:3.1.0)
 Replaces: gnome-games (<< 1:3.1.0), gnome-games-data (<< 1:3.1.0)

## aisleriot 3.10.2

=== debian/changelog ===
aisleriot (1:3.10.2-1) unstable; urgency=medium

  [ Peter Michael Green ]
  * Set pysol card themes base explicitly because configure script doesn't
    recognise raspbian.

  [ Jackson Doak ]
  * New upstream release

  [ Emilio Pozuelo Monfort ]
  * The new version adds a workaround to the cards being invisible while
    dragged. Closes: #740315.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 01 Mar 2014 13:56:17 +0100

aisleriot (1:3.10.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release. 1:3.9.90-1
  * debian/control.in:
    - Lower GTK dependency back to 3.4
    - Update homepage

  [ Jackson Doak ]
  * New upstream release (v3.10.0)

  [ Andreas Henriksson ]
  * New upstream release (v3.10.1)
  * Bump Standards-Version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 23:33:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: games
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                desktop-file-utils,
@@ -22,14 +22,14 @@
                libgirepository1.0-dev (>= 0.6.3),
                libgconf2-dev,
                libglib2.0-dev (>= 2.32.0),
-               libgtk-3-dev (>= 3.6.0),
+               libgtk-3-dev (>= 3.4.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/aisleriot
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/aisleriot
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/aisleriot/
-Homepage: https://live.gnome.org/Aisleriot
+Homepage: https://wiki.gnome.org/Aisleriot
 
 Package: aisleriot
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --bindir=\$${prefix}/games \
                 --bindir=\$${prefix}/games \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-		--disable-scrollkeeper \
-		--with-guile=2.0
+		--with-pysol-card-theme-path=/usr/share/games/pysol
 
 DEB_DH_FIXPERMS_ARGS_ALL := -X/usr/games/sol
 DEB_DH_MAKESHLIBS_ARGS_aisleriot := --no-act

## aisleriot 3.12.1

=== debian/changelog ===
aisleriot (1:3.12.1-0ubuntu2) utopic; urgency=medium

  * 0001-Don-t-set-ubuntu-specific-environment-variables.patch: Cherry-pick
    patch from git to not override environment variables we use in Ubuntu for
    global menus and overlay scrollbars.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 21 Oct 2014 14:25:51 +0100

aisleriot (1:3.12.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * debian/control:
    - Build-depend on dh-autoreconf
    - Set dependant version of guile-2.0-dev
  * debian/rules:
    - Use autoreconf.mk
  * debian/patches/no-bash.patch:
    - Remove bash check, it breaks the build

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 18 Jul 2014 13:56:33 +1200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: aisleriot
 Section: games
 Priority: optional
@@ -10,11 +9,12 @@
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
+               dh-autoreconf,
                desktop-file-utils,
                gnome-pkg-tools (>= 0.6),
                lsb-release,
                yelp-tools,
-               guile-2.0-dev,
+               guile-2.0-dev (>= 2.0.0),
                intltool (>= 0.35.0),
                libcairo2-dev (>= 1.10),
                libcanberra-gtk3-dev (>= 0.26),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

## aisleriot 3.14.1

=== debian/changelog ===
aisleriot (1:3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 01:33:47 +0200

aisleriot (1:3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency on appdata-tools
    - needs appdata-validate
  * Use dh-autoreconf and use it for --as-needed
  * debian/rules: ensure bash shell is used to avoid issues in ltmain.sh
  * debian/aisleriot.install: ship usr/share/appdata

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 21:19:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Section: games
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                dh-autoreconf,
+               appdata-tools,
                desktop-file-utils,
                gnome-pkg-tools (>= 0.6),
                lsb-release,
                yelp-tools,
-               guile-2.0-dev (>= 2.0.0),
+               guile-2.0-dev,
                intltool (>= 0.35.0),
                libcairo2-dev (>= 1.10),
                libcanberra-gtk3-dev (>= 0.26),
@@ -26,10 +27,10 @@
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/aisleriot
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/aisleriot/
-Homepage: https://wiki.gnome.org/Aisleriot
+Homepage: https://wiki.gnome.org/Apps/Aisleriot
 
 Package: aisleriot
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
+export CONFIG_SHELL=/bin/bash
+
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
@@ -16,4 +18,6 @@
 
 DEB_DH_FIXPERMS_ARGS_ALL := -X/usr/games/sol
 DEB_DH_MAKESHLIBS_ARGS_aisleriot := --no-act
-DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs -Wl,-O1 -Wl,--as-needed"
+DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs -Wl,-O1"
+
+DEB_DH_AUTORECONF_ARGS = --as-needed

## aisleriot 3.14.2

=== debian/changelog ===
aisleriot (1:3.14.2-0ubuntu2) vivid; urgency=medium

  * Switch appdata-tools b-dep with appstream-util.

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 13 Feb 2015 18:58:48 +1100

aisleriot (1:3.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 16 Nov 2014 09:16:29 +1100

aisleriot (1:3.14.1-1ubuntu1) vivid; urgency=medium

  * Merge from debian (LP: #1385745). Remaining changes:
    - 0001-Don-t-set-ubuntu-specific-environment-variables.patch: Cherry-pick
      patch from git to not override environment variables we use in Ubuntu for
      global menus and overlay scrollbars.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 26 Oct 2014 11:54:54 +1100

## aisleriot 3.16.2

=== debian/changelog ===
aisleriot (1:3.16.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 02 Jun 2015 16:25:42 +1200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Source: aisleriot
 Section: games
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                dh-autoreconf,
-               appdata-tools,
+               appstream-util,
                desktop-file-utils,
                gnome-pkg-tools (>= 0.6),
                lsb-release,

## aisleriot 3.18.2

=== debian/changelog ===
aisleriot (1:3.18.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * 0001-Don-t-set-ubuntu-specific-environment-variables.patch:
    - Don't set Ubuntu-specific environment variables

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 12 Nov 2015 17:19:05 +1300

aisleriot (1:3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 16:43:14 +0100

aisleriot (1:3.18.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * 0001-Don-t-set-ubuntu-specific-environment-variables.patch:
    - Don't set Ubuntu-specific environment variables

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 02 Nov 2015 09:29:57 +1300

aisleriot (1:3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 23:58:13 +0200

aisleriot (1:3.18.1-0ubuntu1) xenial; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Oct 2015 17:30:21 +1300

aisleriot (1:3.18.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop Breaks/Replaces from pre-wheezy.

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Pedro Beja ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 27 Sep 2015 10:26:53 +0200

aisleriot (1:3.16.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the build reproducible. Patch from Chris Lamb. Closes: #777507.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop appdata-tools build-dependency, no longer needed.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 19 May 2015 15:18:22 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: aisleriot
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               dh-autoreconf,
               desktop-file-utils,
               gnome-pkg-tools (>= 0.6),
               lsb-release,
               yelp-tools,
               guile-2.0-dev,
               intltool (>= 0.35.0),
               libcairo2-dev (>= 1.10),
               libcanberra-gtk3-dev (>= 0.26),
               gobject-introspection (>= 0.6.3),
               libgirepository1.0-dev (>= 0.6.3),
               libgconf2-dev,
               libglib2.0-dev (>= 2.32.0),
               libgtk-3-dev (>= 3.4.0),
               librsvg2-dev (>= 2.32.0),
               libsm-dev,
               pkg-config (>= 0.15)
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/aisleriot
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/aisleriot/
Homepage: https://wiki.gnome.org/Apps/Aisleriot

Package: aisleriot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: yelp
Suggests: gnome-cards-data
Description: GNOME solitaire card game collection
 This is a collection of over eighty different solitaire card games, including
 popular variants such as spider, freecell, klondike, thirteen (pyramid),
 yukon, canfield and many more.

Package: gnome-cards-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the GNOME card games
 This package contains pictures of card decks used by the card-based 
 GNOME games. Different themes are provided.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-pysol-card-theme-path=/usr/share/games/pysol
 
+DEB_MAKE_EXTRA_ARGS += GZIP_FLAGS="-9n"
 DEB_DH_FIXPERMS_ARGS_ALL := -X/usr/games/sol
 DEB_DH_MAKESHLIBS_ARGS_aisleriot := --no-act
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs -Wl,-O1"

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/aisleriot/([\d\.]+[02468])/ \
	aisleriot-(.*)\.tar\.xz

## aisleriot 3.22.0

=== debian/changelog ===
aisleriot (1:3.22.0-1) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 15:53:55 +0200

aisleriot (1:3.20.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 May 2016 16:22:29 +0200

aisleriot (1:3.20.1-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Semi-artificially bump gtk+ build-dependency to 3.20 (Closes: #821319)
    - avoids version built against old gtk+ to segfault with gtk+ >= 3.20.
  * Bump Standards-Version to 3.9.8
  * Set team address as Maintainer instead of joss.
  * Bump debhelper compat to 9.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Apr 2016 18:00:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,9 @@
 Source: aisleriot
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs,
-               debhelper (>= 8),
-               dh-autoreconf,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.6),
                lsb-release,
@@ -23,11 +20,11 @@
                libgirepository1.0-dev (>= 0.6.3),
                libgconf2-dev,
                libglib2.0-dev (>= 2.32.0),
-               libgtk-3-dev (>= 3.4.0),
+               libgtk-3-dev (>= 3.20.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/aisleriot
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/aisleriot/
 Homepage: https://wiki.gnome.org/Apps/Aisleriot

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export CONFIG_SHELL=/bin/bash

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--with-pysol-card-theme-path=/usr/share/games/pysol

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_build:
	dh_auto_build -- GZIP_FLAGS="-9n"

override_dh_fixperms:
	dh_fixperms -X/usr/games/sol

override_dh_makeshlibs:
	dh_makeshlibs -p aisleriot --no-act
	dh_makeshlibs --remaining-packages

## aisleriot 3.22.1

=== debian/changelog ===
aisleriot (1:3.22.1-1ubuntu1) zesty; urgency=medium

  * debian/rules:
    - Set --with-platform=gtk-only to disable gconf (LP: #1669138)
      Note that old statistics and preferences will not be preserved!
  * debian/control.in, debian/aisleriot.install:
    - Drop gconf dependency

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2017 16:11:36 -0500

aisleriot (1:3.22.1-1) unstable; urgency=medium

  * New upstream reelase.
  * Stop setting CONFIG_SHELL=/bin/bash, doesn't seem to be necessary anymore.
    Most likely a side-effect of automatic dh-autoreconf.
  * Drop override for dh_auto_build. The upstream build system now passes -n
    to gzip, so no timestamps are stored in the compressed file.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 00:01:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: aisleriot
 Section: games
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.6),
@@ -18,7 +19,6 @@
                libcanberra-gtk3-dev (>= 0.26),
                gobject-introspection (>= 0.6.3),
                libgirepository1.0-dev (>= 0.6.3),
-               libgconf2-dev,
                libglib2.0-dev (>= 2.32.0),
                libgtk-3-dev (>= 3.20.0),
                librsvg2-dev (>= 2.32.0),

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--with-pysol-card-theme-path=/usr/share/games/pysol \
		--with-platform=gtk-only

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_fixperms:
	dh_fixperms -X/usr/games/sol

override_dh_makeshlibs:
	dh_makeshlibs -p aisleriot --no-act
	dh_makeshlibs --remaining-packages

## aisleriot 3.22.2

=== debian/changelog ===
aisleriot (1:3.22.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/aisleriot.install: appstream metadata now installed to
    /usr/share/metainfo instead of previous /usr/share/appdata

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 01 Jul 2017 11:34:10 +0200

## aisleriot 3.22.4

=== debian/changelog ===
aisleriot (1:3.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Oct 2017 11:14:53 +0100

aisleriot (1:3.22.3-1) unstable; urgency=medium

  * New upstream translations release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Oct 2017 12:50:05 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: aisleriot
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.6),
@@ -19,12 +18,13 @@
                libcanberra-gtk3-dev (>= 0.26),
                gobject-introspection (>= 0.6.3),
                libgirepository1.0-dev (>= 0.6.3),
+               libgconf2-dev,
                libglib2.0-dev (>= 2.32.0),
                libgtk-3-dev (>= 3.20.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/aisleriot
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/aisleriot/
 Homepage: https://wiki.gnome.org/Apps/Aisleriot

## aisleriot 3.22.5

=== debian/changelog ===
aisleriot (1:3.22.5-1) unstable; urgency=medium

  * New upstream release
  * Add missing Build-Depends on docbook-xml
  * Add fix-invalid-AppStream-metadata.patch:
    - Adjust the AppStream metadata file so that it works with GNOME Software
  * Minor updates to debian/copyright

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 17:50:32 -0400

aisleriot (1:3.22.4-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Disable gconf support (Closes: #886088, #887317)
  * Add debian/NEWS to notify users that previous statistics and preferences
    will not be available after upgrading.

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 25 Jan 2018 07:59:31 -0500

aisleriot (1:3.22.4-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Don't build with gconf support on Ubuntu

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Dec 2017 15:33:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: aisleriot
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                desktop-file-utils,
+               docbook-xml <!nocheck>,
                gnome-pkg-tools (>= 0.6),
                lsb-release,
                yelp-tools,
@@ -18,15 +19,14 @@
                libcanberra-gtk3-dev (>= 0.26),
                gobject-introspection (>= 0.6.3),
                libgirepository1.0-dev (>= 0.6.3),
-               libgconf2-dev,
                libglib2.0-dev (>= 2.32.0),
                libgtk-3-dev (>= 3.20.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/aisleriot
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/aisleriot/
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/aisleriot
+Vcs-Git: https://salsa.debian.org/gnome-team/aisleriot.git
 Homepage: https://wiki.gnome.org/Apps/Aisleriot
 
 Package: aisleriot

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--with-pysol-card-theme-path=/usr/share/games/pysol \
		-with-platform=gtk-only

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_fixperms:
	dh_fixperms -X/usr/games/sol

override_dh_makeshlibs:
	dh_makeshlibs -p aisleriot --no-act
	dh_makeshlibs --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

## aisleriot 3.22.6

=== debian/changelog ===
aisleriot (1:3.22.6-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-invalid-AppStream-metadata.patch: No longer needed

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 09:46:49 -0400

aisleriot (1:3.22.5-2) unstable; urgency=medium

  * Build with guile-2.2 (Closes: #885191)
  * Exclude .go files from dh_strip since otherwise it will fail the build

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Aug 2018 11:25:13 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                gnome-pkg-tools (>= 0.6),
                lsb-release,
                yelp-tools,
-               guile-2.0-dev,
+               guile-2.2-dev,
                intltool (>= 0.35.0),
                libcairo2-dev (>= 1.10),
                libcanberra-gtk3-dev (>= 0.26),

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,7 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# Build fails if it tries to strip the .go files
+override_dh_strip:
+	dh_strip -X.go

## aisleriot 3.22.7

=== debian/changelog ===
aisleriot (1:3.22.7-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 17:00:01 -0500

aisleriot (1:3.22.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 19:48:14 -0500

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/aisleriot
 Vcs-Git: https://salsa.debian.org/gnome-team/aisleriot.git
 Homepage: https://wiki.gnome.org/Apps/Aisleriot

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome
@@ -27,5 +26,6 @@
 	dh_missing --fail-missing
 
 # Build fails if it tries to strip the .go files
+# https://bugs.debian.org/907061
 override_dh_strip:
 	dh_strip -X.go

## aisleriot 3.22.8

=== debian/changelog ===
aisleriot (1:3.22.8-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libgtk-3-dev to 3.18.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 18:46:00 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                gobject-introspection (>= 0.6.3),
                libgirepository1.0-dev (>= 0.6.3),
                libglib2.0-dev (>= 2.32.0),
-               libgtk-3-dev (>= 3.20.0),
+               libgtk-3-dev (>= 3.18.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
                pkg-config (>= 0.15)
